Retail Express API 2.1

customerlogs

Searches Customer Logs by parameters

Searches Customer Logs by parameters

get
https://api.retailexpress.com.au/v2.1/customerlogs

Query Parameters

order_bystring | null

Order by.

Available field name values: id, created_on

Available direction values: id asc, customer_number desc.

Example: id asc, customer_id desc

filter_bystring | null

Filter by.

Available field name values: id, customer_id, customer_number, master_customer_id, master_customer_number, created_on

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:303062, master_customer_id:3039:eq:true

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Customer Logs

CustomerLogVM.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customerlogs
 
application/json

Gets specific Customer Logs by unique id

Gets specific Customer Logs by unique id

get
https://api.retailexpress.com.au/v2.1/customerlogs/{id}

Path Parameters

idinteger(int32)required

Customer log id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Customer

CustomerLogVM

* Additional properties are NOT allowed.
idinteger(int32)

Identifier

customer_idinteger(int32)

Customer Identifier

customer_numberstring | null

Customer Number

master_customer_idinteger | null(int32)

Master Customer Identifier

master_customer_numberstring | null
created_onstring(date-time)

Created On

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
loyalty_points_balancenumber | null(double)

Loyalty Points Balance

price_groupsarray | null[object]

Price group model

* Additional properties are NOT allowed.
Show Child Parameters
notesstring | null

Notes

get/customerlogs/{id}
 
application/json

customers

Searches Customers by parameters

Searches Customers by parameters

get
https://api.retailexpress.com.au/v2.1/customers

Query Parameters

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

order_bystring | null

Order by.

Available field name values: id, customer_number, first_name, last_name, full_name, company, date_of_birth, date_of_birth_withheld, customer_type_name,
mobile, phone, email, acn, fax, website, account_customer_enabled, account_customer_payment_terms, account_customer_credit_blocked, account_customer_credit_limit,
billing_address_line1, billing_address_line2, billing_address_suburb, billing_address_state, billing_address_postcode, billing_address_country,
delivery_first_name, delivery_last_name, delivery_company, delivery_address_line1, delivery_address_line2, delivery_suburb, delivery_state, delivery_postcode, delivery_country, delivery_phone, delivery_mobile,
loyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date,
receive_email, receive_post, receive_sms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,
export_to_web, sales_channel:id, survey:id

Available direction values: id asc, customer_number desc.

Example: id asc, supplier desc

filter_bystring | null

Filter by.

Available field name values: id, customer_number, first_name, last_name, full_name, company, date_of_birth, date_of_birth_withheld, customer_type_name,
mobile, phone, email, acn, fax, website, account_customer_enabled, account_customer_payment_terms, account_customer_credit_blocked, account_customer_credit_limit,
billing_address_line1, billing_address_line2, billing_address_suburb, billing_address_state, billing_address_postcode, billing_address_country,
delivery_first_name, delivery_last_name, delivery_company, delivery_address_line1, delivery_address_line2, delivery_suburb, delivery_state, delivery_postcode, delivery_country, delivery_phone, delivery_mobile,
loyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date,
receive_email, receive_post, receive_sms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,
export_to_web, sales_channel:id, survey:id

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:303062, sales_channel:3039:eq:true

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Customers

Customer.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Customer model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customers
 
application/json